Package ghidra.framework.main.projectdata.actions

# Class DeleteProjectFilesTask

java.lang.Object
ghidra.util.task.Task
ghidra.framework.main.projectdata.actions.DeleteProjectFilesTask

All Implemented Interfaces:
  `MonitoredRunnable`

public class DeleteProjectFilesTask extends Task
Task for recursively deleting project files from a Ghidra project

- ## Field Summary

  ### Fields inherited from class ghidra.util.task.Task

  `taskMonitor, waitForTaskCompleted`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeleteProjectFilesTask(Set<DomainFolder> folders, Set<DomainFile> files, int fileCount, Component parent)`
  Construct a new DeleteProjectFilesTask with the list of folders and files to delete.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getFileCount()`
  `int`
  `getTotalDeleted()`
  `void`
  `run(TaskMonitor monitor)`
  This is the method that will be called to do the work

  ### Methods inherited from class ghidra.util.task.Task

  `addTaskListener, canCancel, cancel, getStatusTextAlignment, getTaskTitle, getWaitForTaskCompleted, hasProgress, isCancelled, isModal, monitoredRun, notifyTaskListeners, setHasProgress`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DeleteProjectFilesTask

    public DeleteProjectFilesTask(Set<DomainFolder> folders, Set<DomainFile> files, int fileCount, Component parent)
    Construct a new DeleteProjectFilesTask with the list of folders and files to delete.
    Parameters:
      `folders` - the fist of DomainFolders (and all files contained recursively in those folders) to delete
      `files` - the list of DomainFiles to delete
      `fileCount` - the number of files being deleted
      `parent` - the component to use for parenting any dialogs that are shown

- ## Method Details

  - ### run

    public void run(TaskMonitor monitor)
    Description copied from class: `Task`
    This is the method that will be called to do the work

    Note: The run(TaskMonitor) method should not make any calls directly on Swing components, as these calls are not thread safe. Place Swing calls in a Runnable, then call `Swing.runLater(Runnable)` or `Swing.runNow(Runnable)`to schedule the Runnable inside of the AWT Event Thread.

    Specified by:
      `run` in class `Task`
    Parameters:
      `monitor` - The TaskMonitor that will monitor the executing Task

  - ### getFileCount

    public int getFileCount()

  - ### getTotalDeleted

    public int getTotalDeleted()